Firefox i wtyczki Kasperskiego


(Mateusz Micherda) #1

Witam,

mam pytanie odnośnie przeglądarki Firefox i dodatków wtyczek Kasperskiego.

Gdy wyszedł KIS 13 dodatki były zgodne z przeglądarką (FF 15). Po wydaniu wersji 16 FF dodatki nie są już zgodne.

Czy istnieje jakiś sposób aby je włączyć?

Pozdrawiam.


(Pablo79) #2

Obawiam się ze musisz poczekać aż Kasperski wyda aktualizację dla tych wtyczek. Podobną historię przerabiałem jak kiedyś korzystałem z Norton Antyvirus.


(Mateusz Micherda) #3

Już ja widzę tą aktualizację… Tak jak w wersji KIS 12. Co dziwne dodatki od KIS są w pełni kompatybilne ze wszystkimi wersjami Chrome licząc od daty wydania KIS’a najnowszego oraz na IE.

No cóż, szkoda że to tak działa na FF. Podejrzewam, że to nie jest wina przerobionej pod względem poprzedniej wersji przeglądarki a po prostu jest to wywołane jakimś wpisem lub czymś w tym stylu, mówiącym że dodatek nie jest do tej wersji przeglądarki.

Dlatego też pytałem.


(Rradek22) #4

Wtyczki tak na prawdę nie są Ci potrzebne od KISa :lol:

Blokowanie bannerów i tak działa bez tego, KIS i tak kontroluje na bieżąco Liska więc nic się nie przedostanie do systemu


(dark__jedi) #5

Taki już jest ten Kaspersky. Bryluje w testach, a programiści mają gdzieś użytkowników i jadą na pozlepianym kodzie. Program FF (aurora, beta) daje dużo czasu na opracowanie wtyczek. Aktualizacja baz wirusów - siermiężna - lepiej nic nie robić jak aktualizuje. Pomimo tych wad mam go zainstalowanego :wink:


(Mateusz Micherda) #6

@dark__jedi - popieram. I również korzystam. Obejdę się bez Firefoxa.

@rradek - wiem, że może i nie są potrzebne ale w końcu po coś są i rozszerzają możliwości ochrony. :wink:


(Piotrk124) #7

Ależ da się tak zrobić aby wtyczka zadziałała nawet pod teoretycznie nieobsługiwaną wersją. Chyba że rzeczywiście zmiany względem poprzednich wersji to wykluczają. Ja np. robiłem tak ze słownikiem pod wersję nightly. Wtedy kiedy jeszcze nie było wersji dla niej. Wystarczało zmienić numerek wersji w notatniku w odpowiednim pliku i działa.


(Trojek84) #8

LooooooooooooooooooooooooooooooooooooooooL cóż za żałosna komercha…

Rozwiązanie jest banalne, a używanie wtyczki blokuje wyłącznie Kaspersky - najpierw “uaktualniają” wtyczki do PM (wersji samodzielnej), a potem dopiero do PURE…

A więc do rzeczy:

  • wyłączamy Firefox;

  • wyłączamy wtyczkę PM w Firefox, używając opcji z poziomu wtyczki w PURE (Menadżer Haseł -> Ustawienia -> Obsługiwane przeglądarki);

  • ściągamy 7-zip (http://www.dobreprogramy.pl/7Zip,Progra … 12559.html);

  • idziemy do katalogu dodatku do PURE (zwykle \Program Files (x86)\Kaspersky Lab\Kaspersky PURE 3.0\Kaspersky Password Manager);

  • plik kpmautofill.xpi kopiujemy do foldery, którym możemy zarządzać (ja skopiowałem na pulpit);

  • klikamy na plik kpmautofill.xpi PPM -> 7-zip -> Otwórz archiwum;

  • otwiera nam się zawartość, a tam m. in. plik “install.rdf” - klikamy na niego LPM i przeciągamy na pulpit (nie zamykamy okna archiwum);

  • plik “install.rdf” otwieramy notatnikiem i szukamy linii dotyczącej Firefox:

{ec8030f7-c20a-464f-9b0e-13a3a9e97384}

0.0

19.*

i dokonujemy małej poprawki, 19. zamieniamy na np. 25.:

{ec8030f7-c20a-464f-9b0e-13a3a9e97384}

0.0

25.*

  • zapisujemy plik i zamykamy notatnik;

  • plik “install.rdf” który lekko zmieniliśmy, przeciągamy znowu do otwartego okna archiwum 7-zip i nadpisujemy znajdujący się w tym archiwum plik;

  • zamykamy archiwum i nasz podrasowany plik kpmautofill.xpi przeciągamy LPM na otwarte okno FireFox, instalujemy wtyczkę i wszystko działa.

Oczywiści to toporna instrukcja, jak macie uprawnienia można edytować plik “install.rdf” z poziomu archiwum, ale ogólnie krok po kroku, to tak to działa.